{
  "name": "@gitlab/ui",
  "version": "28.11.3",
  "description": "GitLab UI Components",
  "license": "MIT",
  "main": "dist/index.js",
  "module": "dist/index.js",
  "jsnext:main": "dist/index.js",
  "sideEffects": [
    "*.css",
    "*.scss"
  ],
  "repository": "git@gitlab.com:gitlab-org/gitlab-ui.git",
  "author": "GitLab",
  "private": false,
  "files": [
    "src",
    "dist",
    "scss_to_js",
    "documentation",
    "documentation.js",
    "index.js",
    "charts.js",
    "utils.js",
    "config.js"
  ],
  "scripts": {
    "build": "NODE_ENV=production rollup -c",
    "prebuild": "run-s build-scss-variables generate-utilities",
    "generate-utilities": "make src/scss/utilities.scss",
    "build-scss-variables": "make scss_to_js/scss_variables.js",
    "clean": "rm -r dist storybook scss_to_js/scss_variables.* src/scss/utilities.scss",
    "start": "yarn storybook",
    "storybook": "yarn storybook-prep && start-storybook --ci -p 9001 -c .storybook -s ./static",
    "storybook-prep": "run-s generate-utilities build-scss-variables",
    "storybook-static": "yarn storybook-prep && build-storybook -c .storybook -o storybook  -s ./static",
    "pretest:unit": "yarn build-scss-variables",
    "test": "run-s test:unit test:visual",
    "test:unit": "NODE_ENV=test jest --testPathIgnorePatterns storyshots.spec.js",
    "test:unit:watch": "yarn test:unit --watch --notify",
    "test:unit:debug": "NODE_ENV=test node --inspect node_modules/.bin/jest --testPathIgnorePatterns storyshot.spec.js --watch --runInBand",
    "test:visual": "NODE_ENV=test IS_VISUAL_TEST=true start-test http-get://localhost:9001 'jest ./tests/storyshots.spec.js'",
    "test:visual:update": "NODE_ENV=test IS_VISUAL_TEST=true start-test http-get://localhost:9001 'jest ./tests/storyshots.spec.js --updateSnapshot'",
    "prettier": "prettier --check '**/*.{js,vue}'",
    "prettier:fix": "prettier --write '**/*.{js,vue}'",
    "eslint": "eslint --max-warnings 0 --ext .js,.vue .",
    "preeslint": "yarn generate-utilities",
    "eslint:fix": "yarn eslint --fix",
    "stylelint": "stylelint 'src/**/*.scss'",
    "prestylelint": "yarn generate-utilities",
    "stylelint:fix": "yarn stylelint --fix",
    "lint": "run-p prettier eslint stylelint",
    "lint:fix": "run-s prettier:fix eslint:fix stylelint:fix",
    "generate:component": "plop"
  },
  "dependencies": {
    "@babel/standalone": "^7.0.0",
    "@gitlab/vue-toasted": "^1.3.0",
    "bootstrap-vue": "2.13.1",
    "copy-to-clipboard": "^3.0.8",
    "dompurify": "^2.2.7",
    "echarts": "^4.9.0",
    "highlight.js": "^10.6.0",
    "js-beautify": "^1.8.8",
    "lodash": "^4.17.20",
    "portal-vue": "^2.1.6",
    "resize-observer-polyfill": "^1.5.1",
    "url-search-params-polyfill": "^5.0.0",
    "vue-runtime-helpers": "^1.1.2"
  },
  "peerDependencies": {
    "@gitlab/svgs": "^1.116.0",
    "bootstrap": "4.4.1",
    "pikaday": "^1.8.0",
    "vue": "^2.6.10"
  },
  "devDependencies": {
    "@babel/core": "^7.10.2",
    "@babel/preset-env": "^7.10.2",
    "@gitlab/eslint-plugin": "8.1.0",
    "@gitlab/stylelint-config": "2.3.0",
    "@gitlab/svgs": "1.185.0",
    "@rollup/plugin-commonjs": "^11.1.0",
    "@rollup/plugin-node-resolve": "^7.1.3",
    "@rollup/plugin-replace": "^2.3.2",
    "@storybook/addon-a11y": "6.1.21",
    "@storybook/addon-docs": "6.1.21",
    "@storybook/addon-knobs": "6.1.21",
    "@storybook/addon-storyshots": "6.1.21",
    "@storybook/addon-storyshots-puppeteer": "6.1.21",
    "@storybook/addon-storysource": "6.1.21",
    "@storybook/addon-viewport": "6.1.21",
    "@storybook/theming": "6.1.21",
    "@storybook/vue": "6.1.21",
    "@vue/test-utils": "1.1.3",
    "autoprefixer": "^9.7.6",
    "babel-jest": "^26.6.3",
    "babel-loader": "^8.0.5",
    "babel-plugin-lodash": "^3.3.4",
    "babel-plugin-require-context-hook": "^1.0.0",
    "babel-preset-vue": "^2.0.2",
    "bootstrap": "4.4.1",
    "eslint": "7.21.0",
    "eslint-import-resolver-jest": "3.0.0",
    "file-loader": "^4.2.0",
    "identity-obj-proxy": "^3.0.0",
    "inquirer-select-directory": "^1.2.0",
    "jest": "^26.6.3",
    "jest-raw-loader": "^1.0.1",
    "jest-serializer-vue": "^2.0.2",
    "markdown-loader-jest": "^0.1.1",
    "mockdate": "^2.0.5",
    "node-sass": "^4.14.1",
    "node-sass-magic-importer": "^5.3.2",
    "nodemon": "^1.11.0",
    "npm-run-all": "^4.1.5",
    "pikaday": "^1.8.0",
    "plop": "^2.5.4",
    "postcss": "^7.0.30",
    "postcss-loader": "^3.0.0",
    "postcss-scss": "^2.1.1",
    "prettier": "2.2.1",
    "pug": "^2.0.3",
    "puppeteer": "^5.2.1",
    "raw-loader": "^0.5.1",
    "rollup": "^2.8.2",
    "rollup-plugin-babel": "^4.4.0",
    "rollup-plugin-postcss": "^3.1.1",
    "rollup-plugin-string": "^3.0.0",
    "rollup-plugin-svg": "^2.0.0",
    "rollup-plugin-vue": "^5.1.6",
    "sass-export": "^1.0.3",
    "sass-loader": "^7.1.0",
    "sass-true": "^5.0.0",
    "start-server-and-test": "^1.10.6",
    "storybook-readme": "5.0.9",
    "stylelint-config-prettier": "^8.0.2",
    "stylelint-prettier": "^1.1.2",
    "vue": "^2.6.11",
    "vue-jest": "4.0.0-rc.0",
    "vue-loader": "^15.8.3",
    "vue-template-compiler": "^2.6.11"
  },
  "release": {
    "branches": [
      "main"
    ],
    "verifyConditions": [
      "@semantic-release/changelog",
      "@semantic-release/npm",
      "@semantic-release/git",
      "@semantic-release/gitlab"
    ],
    "prepare": [
      "@semantic-release/changelog",
      "@semantic-release/npm",
      "@semantic-release/git"
    ],
    "publish": [
      "@semantic-release/npm",
      "@semantic-release/gitlab"
    ],
    "success": false,
    "fail": false
  }
}
